<?php
/**
 * Shortcodes information.
 */
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly.
}

/**
 * This hook is used to display the extra content before shortcode content.
 * 
 * @since 1.0
 */
do_action('gtw_before_shortcode_contents');
?>
<h4>Syntax</h4>
<p>[shortcode parameter1 = "value" parameter2 = "value" ]</p>

<table class="form-table gtw_shortcodes_info widefat striped">
	<thead>
		<tr>
			<th><?php esc_html_e('Shortcode', 'gift-wrapper-for-woocommerce'); ?></th>
			<th><?php esc_html_e('Parameter Support', 'gift-wrapper-for-woocommerce'); ?></th>
			<th><?php esc_html_e('Description', 'gift-wrapper-for-woocommerce'); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php
		if (gtw_check_is_array($shortcodes_info)) :
			foreach ($shortcodes_info as $shortcode => $details) :
				?>
				<tr>
					<td><?php echo esc_html($shortcode); ?></td>
					<td><?php echo esc_html($details['supported_parameters']); ?></td>
					<td><?php echo esc_html($details['usage']); ?></td>
				</tr>
				<?php
			endforeach;
		endif;
		?>
	</tbody>
</table>

<?php
/**
 * This hook is used to display the extra content after shortcode content.
 * 
 * @since 1.0
 */
do_action('gtw_after_shortcodes_content');

