<?php

/**
 * WooCommerce Currency Switcher Compatibility.
 */
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly.
}

if (!class_exists('GTW_WooCommerce_Currency_Switcher_Compatibility')) {

	/**
	 * Class.
	 */
	class GTW_WooCommerce_Currency_Switcher_Compatibility extends GTW_Compatibility {

		/**
		 * Class Constructor.
		 */
		public function __construct() {
			$this->id = 'woocommerce_currency_switcher';

			parent::__construct();
		}

		/**
		 * Is plugin enabled?.
		 *
		 *  @return bool
		 * */
		public function is_plugin_enabled() {
			return class_exists('WOOCS');
		}

		/**
		 * Action
		 */
		public function actions() {
			// Convert the price.
			add_filter('gtw_convert_price', array( $this, 'convert_price' ), 10, 2);
			// Convert the cart product orginal price.
			add_filter('gtw_cart_product_original_price', array( $this, 'convert_cart_product_original_price' ), 10, 2);
		}

		/**
		 * Convert the gift wrapper price.
		 *
		 * @return float
		 */
		public function convert_price( $price, $currency ) {
			global $WOOCS;

			if (!is_object($WOOCS) || !isset($WOOCS->is_multiple_allowed) || !$WOOCS->is_multiple_allowed) {
				return $price;
			}

			return $WOOCS->raw_woocommerce_price($price);
		}

		/**
		 * Convert the cart product original price.
		 *
		 * @return float
		 */
		public function convert_cart_product_original_price( $price, $session ) {
			global $WOOCS;

			if (!is_object($WOOCS) || !isset($WOOCS->is_multiple_allowed) || !$WOOCS->is_multiple_allowed) {
				return $price;
			}

			return $WOOCS->woocs_back_convert_price($price);
		}
	}

}
