<?php
/**
 * This template displays the add order gift wrapper.
 *
 * This template can be overridden by copying it to yourtheme/gift-wrapper-for-woocommerce/add-order-gift-wrapper.php
 *
 * To maintain compatibility, Gift Wrapper for WooCommerce will update the template files and you have to copy the updated files to your theme
 * 
 * @var $product , $extra_content_type
 * @since 5.1.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit ; // Exit if accessed directly.
}
?>
<p class="gtw-add-order-gift-wrapper-content">
	<?php if ( '2' === gtw_get_order_gift_wrapper_field_type() ) : ?>
		<label><?php echo wp_kses_post( gtw_get_order_gift_wrapper_button_label( $product ) ) ; ?></label>

		<input type='checkbox' class="<?php echo esc_attr( implode( ' ' , gtw_get_order_gift_wrapper_checkbox_classes( $extra_content_type ) ) ) ; ?>" 
			   data-popup="#gtw-popup-order-gift-wrapper-modal" 
			   <?php echo esc_attr( gtw_get_order_gift_wrapper_checked_attribute() ) ; ?>/>              
		   <?php else : ?>
		<button type="button" 
				class="<?php echo esc_attr( implode( ' ' , gtw_get_order_gift_wrapper_classes( $extra_content_type ) ) ) ; ?>" 
				data-popup="#gtw-popup-order-gift-wrapper-modal">
					<?php echo wp_kses_post( gtw_get_order_gift_wrapper_button_label( $product ) ) ; ?>
		</button>
			   <?php
	endif ;
			?>
</p>
<?php
