<?php
/**
 * This template displays the product gift wrapper items.
 *
 * This template can be overridden by copying it to yourtheme/gift-wrapper-for-woocommerce/product-gift-wrapper-items.php
 *
 * To maintain compatibility, Gift Wrapper for WooCommerce will update the template files and you have to copy the updated files to your theme
 */
if (! defined('ABSPATH')) {
	exit ; // Exit if accessed directly.
}
?>
<ul class="gtw-product-gift-wrapper-items">
	<input type="hidden" class="gtw-product-gift-wrapper-current-item" name="gtw_gift_wrapper_item" value="<?php echo esc_attr($current_item) ; ?>"/>
	<?php
	foreach ($gift_wrappers as $gift_wrapper) :
		$gift_wrapper = gtw_format_product_rule($gift_wrapper) ;
		?>
		<li class="<?php echo esc_attr(implode(' ', gtw_get_product_gift_wrapper_classes($gift_wrapper[ 'id' ], $current_item))) ; ?>" 
			data-rule-id="<?php echo esc_attr($gift_wrapper[ 'id' ]) ; ?>">

			<img src="<?php echo esc_attr(gtw_get_product_rule_image_url($gift_wrapper[ 'image_id' ])) ; ?>" />
		</li>
	<?php endforeach ; ?>

	<?php if ($see_more) : ?>
		<li class="gtw-product-gift-wrapper-item gtw-popup-extra-gift-wrapper gtw-popup-gift-wrapper" data-popup="#gtw-popup-product-gift-wrapper-modal">
			<p><?php echo wp_kses_post(get_option('gtw_settings_gift_wrapper_see_more_localization')) ; ?></p>
		</li>
	<?php endif ; ?>
</ul>
<?php
