<?php
/**
 * This template displays the slide order gift wrapper.
 *
 * This template can be overridden by copying it to yourtheme/gift-wrapper-for-woocommerce/slide/order-gift-wrapper.php
 *
 * To maintain compatibility, Gift Wrapper for WooCommerce will update the template files and you have to copy the updated files to your theme
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit ; // Exit if accessed directly.
}
?>
<div id="gtw-slide-order-gift-wrapper-modal" class="gtw-slide-order-gift-wrapper-modal gtw-order-gift-wrapper-modal gtw_hide">
	<div class="gtw-slide-order-gift-wrapper-content gtw-order-gift-wrapper-content">
		<?php if ( $show_designs ) : ?>
			<p class="gtw-slide-gift-wrapper-description gtw-order-gift-wrapper-description">
				<input type="hidden" class="gtw-slide-order-gift-wrapper-current-item" value="<?php echo esc_attr( $current_item ) ; ?>"/>
				<span class="gtw-gift-wrapper-item-name gtw-order-gift-wrapper-item-name"><?php echo esc_html( $gift_wrapper_name ) ; ?></span>
				<span class="gtw-gift-wrapper-item-price gtw-order-gift-wrapper-item-price"><strong><?php echo '(' . wp_kses_post( $gift_wrapper_price ) . ')' ; ?></strong></span>
			</p>
			<div class="gtw-slide-order-gift-wrapper-items gtw-order-gift-wrapper-items">
				<?php
				gtw_get_template( 'slide/order-gift-wrapper-items.php', array(
					'gift_wrapper_ids' => $gift_wrapper_ids,
					'current_item'     => $current_item,
				) ) ;
				?>
			</div>

			<?php if ( $pagination[ 'page_count' ] > 1 ) : ?>
				<div class="gtw-slide-order-gift-wrapper-pagination gtw-order-gift-wrapper-pagination">
					<?php gtw_get_template( 'pagination.php', $pagination ) ; ?>
				</div>
			<?php endif ; ?> 
		<?php endif ; ?>

		<?php
		/**
		 * The hook is used to display content after order gift wrapper summary.
		 *
		 * @hooked GTW_Frontend::render_order_gift_wrapper_custom_fields - 10
		 * @since 1.0
		 * */
		do_action( 'gtw_after_order_gift_wrapper_summary' ) ;
		?>
	</div>

	<div class="gtw-slide-order-gift-wrapper-footer gtw-order-gift-wrapper-footer">
		<input type="button" class="button gtw-button gtw-slide-add-order-gift-wrapper" value="<?php echo esc_attr( get_option( 'gtw_settings_select_design_button_localization' ) ) ; ?>"/>
	</div>
</div>
<?php
